apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    k8s-app: {{ name }}
  name: {{ name }}
  namespace: default
spec:
  strategy:
    type: Recreate
  selector:
    matchLabels:
      k8s-app: {{ name }}
  template:
    metadata:
      labels:
        k8s-app: {{ name }}
    spec:
      hostNetwork: true
      terminationGracePeriodSeconds: 3
      containers:
      - name: {{ name }}
        image: registry.gitlab.com/rndan/rpi-apps/acc:{{ arch }}
        env:
        - name: DEVID
          value: "{{ devid }}"
        - name: BROKER
          value: "{{ broker_ip }}"
        imagePullPolicy: Always
      nodeSelector:
        kubernetes.io/hostname: "worker-rpi-{{ devid }}"
      restartPolicy: Always
